"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ERRORS = void 0;
const ERROR_PREFIX = '[ActiveFirestore]';
exports.ERRORS = {
    INVALID_ARGS: (additionalMessage) => Error(`${ERROR_PREFIX}invalid args. ${additionalMessage}`),
    NO_PARENT: () => Error(`${ERROR_PREFIX}parent is not set.`),
    NO_COLLECTION_REFERENCE: (additionalMessage) => Error(`This model does not have collectionReference. ${additionalMessage}`),
    NO_DOCUMENT_REFERENCE: (additionalMessage) => Error(`This model does not have documentReference. ${additionalMessage}`),
};
