import { firestore } from 'firebase/app';
import { BaseRepository } from './BaseRepository';
import { BaseObject } from './types';
declare type BaseProps = {
    collectionName?: string;
    parent?: new (...arg: any) => Base<BaseObject>;
    db?: firestore.Firestore;
};
export declare class Base<T extends BaseObject> extends BaseRepository<T> {
    get baseProps(): BaseProps;
    get props(): BaseProps;
    get combinedProps(): BaseProps;
    constructor(parentIdsOrThisId?: string | [string, ...string[]], id?: string, _db?: firestore.Firestore);
}
export {};
